Subject: bug#10458: 24.0.92; ! in dired on a file starting with a hyphen

From: Stefan Monnier <[email-masked]>
Date: Sun, 08 Jan 2012 20:30:18 -0500

> I'm working with Gnu/Linux.  If I hit ! in dired on a file starting with
> "-", the hyphen is not quoted so that the specified program will
> interpret the file name as an option.  I guess this is nearly never
> what the user wants.

Indeed.  Quoting the file name by doing something like:

    foobar '-toto' titi

won't help (`foobar' won't see the quoting anyway because the shell
will strip it away before passing the result to `foobar').
But we could do something like:

   foobar ./-toto titi

which would not suffer from this problem.

        Stefan